

local addonName, addonTable = ...


local function test()
	local libA = LibBuilder:NewLib('test1a', 1)
	assert(LibBuilder:GetLib() == libA)		
	assert(LibBuilder:CloseLib() == libA)
	
	local libB = LibBuilder:NewLib('test1b', 2)
	LibBuilder:CloseLib()
end

table.insert(addonTable.tests, {
	description = 'Simulate normal use', 
	test = test,})
